package com.agilex.healthcare.schedulingmanager.datalayer.appointment;

import com.agilex.healthcare.schedulingmanager.domain.SMAppointmentMetric;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class AppointmentMetricsDataLayerRepo implements AppointmentMetricsDataLayer {

	@Resource
	private AppointmentMetricsDao dao;

	@Override
	public SMAppointmentMetric getMetric(String name) {
		return dao.getAppointmentMetric(name);
	}

	@Override
	public SMAppointmentMetric saveMetric(SMAppointmentMetric metric) {
		return dao.saveAppointmentMetric(metric);
	}

	@Override
	public void removeMetric(String name) {
		dao.removeAppointmentMetric(name);
	}
}
